aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/hob
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/hob')
-rwxr-xr-xscripts/hob18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/hob b/scripts/hob
new file mode 100755
index 0000000000..19930bab32
--- /dev/null
+++ b/scripts/hob
@@ -0,0 +1,18 @@
+#!/usr/bin/env bash
+if ! (test -r "$BUILDDIR/conf/hob.local.conf"); then
+ cat <<EOM
+You had no conf/hob.local.conf file. An initial version of this configuration
+file has therefore been created for you. This file will be used to store any
+configuration values you set in hob.
+
+EOM
+(cat <<EOF
+INHERIT += "image_types"
+EOF
+) > conf/hob.local.conf
+fi
+
+bitbake -R conf/hob.local.conf -t xmlrpc -u hob
+
+ret=$?
+exit $ret